%define name     medit
%define version  0.9.2
%define release  %mkrel 1

Name:        %{name}
Version:     %{version}
Release:     %{release}
Summary:     Multiplatform GTK+2 text editor
Group:       Editors
License:     GPLv2+
URL:         http://mooedit.sourceforge.net/
Source0:     http://prdownloads.sourceforge.net/mooedit/%{name}-%{version}.tar.bz2
Patch1:      medit-0.9.2-do-not-update-system-files.patch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:   gtk2-devel libxml2-devel pcre-devel pygtk2.0-devel intltool

%description
Medit is a multiplatform GTK+2 text editor.
Features:
o Configurable syntax highlighting
o Configurable keyboard accelerators
o Multiplatform - works both on unix and windows


%prep
%setup -q
%patch1 -p1

%build
%configure2_5x \
     --with-xml

%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang moo moo moo-gsv

%post
%update_menus
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_menus
%clean_mime_database
%clean_icon_cache hicolor

%clean
rm -rf %buildroot

%files -f moo.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/moo.xml
#%{_datadir}/mime/text/*.xml
%{_datadir}/moo
%{_datadir}/pixmaps/*
%{_libdir}/moo
%{_iconsdir}/hicolor/*/apps/medit.png
%{_mandir}/man1/*


%changelog
* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155675
- New version 0.9.2
- rediff patch0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 114221
- New version 0.9.0

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.11-1mdv2008.1
+ Revision: 109208
- New release 0.8.11

* Tue Aug 07 2007 Funda Wang <fundawang@mandriva.org> 0.8.10-1mdv2008.0
+ Revision: 59667
- New version 0.8.10

* Wed Aug 01 2007 Funda Wang <fundawang@mandriva.org> 0.8.9-1mdv2008.0
+ Revision: 57568
- New version 0.8.9

* Thu Jul 12 2007 Funda Wang <fundawang@mandriva.org> 0.8.8-1mdv2008.0
+ Revision: 51500
- Fix file list
- New version

* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.0
+ Revision: 39539
- SILent renew tarball
- New version
- New version
  add dirty patch that skips update-icon-cache and mime database when building

  + Jérôme Soyer <saispo@mandriva.org>
    - Import medit




* Tue May 09 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.98-1mdk
- new release

* Mon May 08 2006 UTUMI Hirosi <utuhiro78@dummy.org> 0.6.97-1mdk
- first spec for Mandriva
